Bug 8163 - autogenerate bindings for all of the methods and properties of Document
Summary: autogenerate bindings for all of the methods and properties of Document
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: DOM (show other bugs)
Version: 420+
Hardware: Macintosh OS X 10.4
: P2 Normal
Assignee: Maciej Stachowiak
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-04-03 15:25 PDT by Maciej Stachowiak
Modified: 2019-02-06 09:04 PST (History)
1 user (show)

See Also:


Attachments
autogenerate many Document methods and attributes (23.15 KB, patch)
2006-04-03 15:26 PDT, Maciej Stachowiak
timothy: review-
Details | Formatted Diff | Diff
fixed patch (29.02 KB, patch)
2006-04-04 02:27 PDT, Maciej Stachowiak
eric: review+
Details | Formatted Diff | Diff
patch that does all of it, but doesn't work (43.14 KB, patch)
2006-04-05 02:00 PDT, Maciej Stachowiak
no flags Details | Formatted Diff | Diff
a version that does the whole thing and actually works! (50.26 KB, patch)
2006-04-05 03:41 PDT, Maciej Stachowiak
andersca: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Maciej Stachowiak 2006-04-03 15:25:20 PDT
I did all the ones that actually map to Document impl methods, and do not involve types not handled by the bindings generator yet.
Comment 1 Maciej Stachowiak 2006-04-03 15:26:25 PDT
Created attachment 7492 [details]
autogenerate many Document methods and attributes
Comment 2 Timothy Hatcher 2006-04-03 15:33:37 PDT
The diff doesn't contain Document.idl. Please attach or make a new diff.
Comment 3 Timothy Hatcher 2006-04-03 15:34:10 PDT
Comment on attachment 7492 [details]
autogenerate many Document methods and attributes

Document.idl missing.
Comment 4 Maciej Stachowiak 2006-04-04 02:27:39 PDT
Created attachment 7498 [details]
fixed patch
Comment 5 Eric Seidel (no email) 2006-04-04 02:46:34 PDT
Comment on attachment 7498 [details]
fixed patch

So I think this is fine to land as-is.  However, I also think it would be even better to move more of Document to the idl before landing.  I'm going to trust you that all the tests pass.  Now we just have to hope that we have enough testing coverage. :)
Comment 6 Maciej Stachowiak 2006-04-05 02:00:32 PDT
Created attachment 7520 [details]
patch that does all of it, but doesn't work
Comment 7 Maciej Stachowiak 2006-04-05 03:41:28 PDT
Created attachment 7522 [details]
a version that does the whole thing and actually works!
Comment 8 Anders Carlsson 2006-04-05 03:44:56 PDT
Comment on attachment 7522 [details]
a version that does the whole thing and actually works!

r=me

I'd like to see a comment in CodeGeneratorJS.pm about why Document needs a special destructor
Comment 9 Lucas Forschler 2019-02-06 09:04:19 PST
Mass moving XML DOM bugs to the "DOM" Component.